Public Sub RaceTraits(WorkingLevel)
	if cint(workinglevel) = 1  then
		Call Designer.SkillRaceBonus("Search", 4, TraitDetail)
		Call Designer.SkillRaceBonus("Spot", 4, TraitDetail)
		Call Designer.SkillRaceBonus("Listen", 4, TraitDetail)
		Call Designer.ClearClassWeaponProficiency
		Call Designer.WeaponProficiency("Greataxe")
	end if
end sub

Public sub RaceScript
       	Call NPC.RacialName("Minotaur", "Monstrous Humanoid")
       	NPC.RaceSize = "Large"
       	NPC.RaceSubType = ""
       	NPC.FeatCount = 0
       	NPC.SizeModifier = -1
	Call NPC.ModCR(4)
	Call NPC.RacialHD(6,"6d8",0)

	Call NPC.RacialBAB(6)
	Call NPC.RacialResist("Will", 5)
	Call NPC.RacialResist("Ref", 5)
	Call NPC.RacialResist("Fort", 2)

       	Call NPC.StatModifier("Str", +8)
       	Call NPC.StatModifier("Con", +4)
       	Call NPC.StatModifier("Int", -4)
 	Call NPC.StatModifier("Cha", -2)

	NPC.Space = "10"
	NPC.Reach = "10"
	if lcase(NPC.NPCSex) = "female" then
		NPC.NameRuleFile = "f_female.nam"
	else
		NPC.NameRuleFile = "f_male.nam"
	end if

        call NPC.SetMovement("Ground",30)

	Call Designer.AddWeapons("Dagger,Club,Heavy Mace,MorningStar, ShortSpear, LongSpear, Quarterstaff,Spear, Heavy Crossbow, Light Crossbow")
	Call Designer.AddWeapons("Long Sword, Battleaxe, Flail, Heavy Pick, Scimitar, Warhammer,Falchion,Greataxe, Greatclub,Heavy Flail, Greatsword,Halberd, Scythe")
	Call Designer.AddWeapons("Longbow, Shortbow, Composite Longbow, Composite Shortbow")
	Call Designer.Addweapons("Bastard Sword")
	Call NPC.NaturalArmorMod(5,"Hill Giant")

	Call NPC.AddWeapon("Gore","1d8",5)
	Call NPC.ModWeapon("Gore","CritRange","1")
	Call NPC.AddFormat(":Melee:Gore:",":0:-5")
	Call NPC.AddFormat(":Gore:",":0")
	Dim Skillpoints
	Dim RaceSkillPoints
	if NPC.TemplateSkillPoints > 0 then
		RaceSkillPoints = Cint(NPC.TemplateSkillPoints)
	else
		RaceSkillPoints = 2
	end if
	skillpoints = Cint(9 * (RaceSkillPoints + Cint(NPC.GetStatBonus("Int"))))
	if Skillpoints < 9 then
		skillpoints = 15
	end if
    NPC.SkillPoints = SkillPoints
	NPC.SkillPointsPerLevel = 0
	
	NPC.MaxClassSkillRank = 9
	NPC.MaxNonSkillRank = NPC.MaxClassSkillRank / 2

	Call Designer.ClearCoreSkills
	Call Designer.AddSkill("Intimidate",75.25)
	Call Designer.CoreSkill("Intimidate")
	Call Designer.AddSkill("Jump",75.25)
	Call Designer.CoreSkill("Jump")
	Call Designer.AddSkill("Listen",75.25)
	Call Designer.CoreSkill("Listen")
	Call Designer.AddSkill("Spot",75.25)
	Call Designer.CoreSkill("Spot")
	Call Designer.AddSkill("Search",75.25)
	Call Designer.CoreSkill("Search")
	Designer.MaxPerformRank = 0
	Designer.MaxPerformSkills = 0
	Designer.MaxCraftRank = 0
	Designer.MaxCraftSkills = 0
	Designer.MaxCraftAdjustment = 0
	Designer.MaxKnowledgeRank = 0
	Designer.MaxKnowledgeSkills = 0
	Designer.MaxProfessionRank = 0
	Designer.MaxProfessionSkills = 0	
	Call NPC.RacialSkillSelection
	Call Designer.ClearCoreSkills
	Designer.ExcludeWeaponFocus = "Dagger" & ", " & Designer.ExcludeWeaponFocus 
	Call Designer.AddFeat("Alertness, Blind-Fight, Mobility, Spring Attack, Whirlwind Attack, Improved Critical, Improved Initiative, Trample, Power Attack, Cleave, Great Fortitude, Greater Weapon Focus, Greater Weapon Specialization, Track", "Common", "Race")
	Call Designer.AddFeat("Combat Reflexes, Diehard, Dodge, Endurance, Combat Expertise, Improved Disarm, Improved Trip, Improved Feint, Improved Precise Shot, Iron Will, Leadership, Lightning Reflexes, Point Blank Shot, Improved Bull Rush, Improved Sunder, Great Cleave, Quick Draw, Toughness, Weapon Specialization, Persuasive", "Uncommon", "Race")
	Call Designer.AddFeat("Diligent, Investigator, Snatch Arrows, Deflect Arrows, Improved Shield Bash, Far Shot, Precise Shot, Rapid Shot,  Run, Skill Focus, Manyshot, Rapid Reload, Self Sufficient", "Rare", "Race")
	Call Designer.AddFeat("Negotiator", "Rare*2", "Race")

	Call Designer.FeatSelectionList("Race",3)
        	Call NPC.SetLanguages("Common, Giant")
        	Call NPC.SetBonusLanguages("Orc, Goblin, Terran")

	Dim SBInfo 
        SBInfo = "<b>Natural Cunning (Ex):</b> <Name> possesses innate cunning and logical ability. This gives <h/him> immunity to maze spells, prevents <h/him> from ever becoming lost, and enables <h/him> to track enemies. Further, <s/he> isnever caught flat-footed." & vbcrlf
        call NPC.SetQuality("Natural Cunning","Racial","", SBInfo, "Add")
	SBInfo = "<b>Scent (Ex):</b> <Name> can track creatures by scent." & vbcrlf
	call NPC.SetQuality("Scent","Racial","", SBinfo, "Add")
	SBINFO = "<b>Powerful Charge (Ex):</b> <Name> typically begins a battle by charging at an opponent, lowering <h/his> head to bring <h/his> mighty horns into play. In addition to the normal benefits and hazards of a charge, this allows <Name> to make a single normal gore attack that deals 4d6+" & cint((NPC.GetStatBonus("Str")*1.5) ) & "  points of damage."  & vbcrlf
	Call NPC.SetAbility("Powerful Charge", "Racial","0","", SBInfo)
end sub